Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1990449 - Move API and library design documentation to -devel package
Summary: Move API and library design documentation to -devel package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: svt-av1
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-05 12:33 UTC by Robert Marcano
Modified: 2021-12-23 21:20 UTC (History)
2 users (show)

Fixed In Version: svt-av1-0.8.7-2.fc35 svt-av1-0.8.7-2.fc34 svt-av1-0.8.7-2.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-09 21:36:21 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Robert Marcano 2021-08-05 12:33:20 UTC
Description of problem:

The documentation installed at /usr/share/doc/svt-av1-libs/Docs is entirely dedicated to the API and design of the library. According to the packaging guidelines: "For example API documentation belongs in the -devel subpackage, not the main one"

So this free 4.3 MiB of storage for users not developing against the library.


Version-Release number of selected component (if applicable):

svt-av1-libs-0.8.7-1.fc34.x86_64


Additional info:

This apply to svt-vp9 but in this case the documentation is a single markdown file, so it is very small. Not sure if both are packaged by the same people, notice me if another bug report is needed.

Comment 1 Robert-André Mauchin 🐧 2021-08-09 19:45:56 UTC
Hi thanks for the report. I'll see to it this week.

Comment 2 Fedora Update System 2021-08-09 20:03:14 UTC
FEDORA-2021-8eff26e46a has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-8eff26e46a

Comment 3 Fedora Update System 2021-08-09 20:13:17 UTC
FEDORA-2021-2a23a3d035 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-2a23a3d035

Comment 4 Fedora Update System 2021-08-09 20:13:37 UTC
FEDORA-2021-cc3c4295b3 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-cc3c4295b3

Comment 5 Robert-André Mauchin 🐧 2021-08-09 20:14:46 UTC
(In reply to Robert Marcano from comment #0)
> Additional info:
> 
> This apply to svt-vp9 but in this case the documentation is a single
> markdown file, so it is very small. Not sure if both are packaged by the
> same people, notice me if another bug report is needed.

I don't handle svt-vp9, you might need to open a new bug against it.

Comment 6 Fedora Update System 2021-08-09 21:36:21 UTC
FEDORA-2021-8eff26e46a has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2021-08-10 01:16:23 UTC
FEDORA-2021-2a23a3d035 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-2a23a3d035`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-2a23a3d035

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-08-10 15:47:26 UTC
FEDORA-2021-cc3c4295b3 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-cc3c4295b3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-cc3c4295b3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-08-18 01:11:08 UTC
FEDORA-2021-cc3c4295b3 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2021-08-18 01:17:08 UTC
FEDORA-2021-2a23a3d035 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2021-12-23 21:20:29 UTC
FEDORA-EPEL-2021-9ac0b44feb has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-9ac0b44feb


Note You need to log in before you can comment on or make changes to this bug.